curl --request POST \
--url https://api.domo.com/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Software Engineer",
"email": "leonhard.euler@domo.com",
"alternateEmail": "leonhardeuler@email.com",
"role": "Admin",
"phone": "888-361-1078",
"name": "Leonhard Euler",
"location": "American Fork",
"timezone": "",
"locale": "",
"employeeNumber": 23432
}
'import requests
url = "https://api.domo.com/v1/users"
payload = {
"title": "Software Engineer",
"email": "leonhard.euler@domo.com",
"alternateEmail": "leonhardeuler@email.com",
"role": "Admin",
"phone": "888-361-1078",
"name": "Leonhard Euler",
"location": "American Fork",
"timezone": "",
"locale": "",
"employeeNumber": 23432
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Software Engineer',
email: 'leonhard.euler@domo.com',
alternateEmail: 'leonhardeuler@email.com',
role: 'Admin',
phone: '888-361-1078',
name: 'Leonhard Euler',
location: 'American Fork',
timezone: '',
locale: '',
employeeNumber: 23432
})
};
fetch('https://api.domo.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alternateEmail": "leonhardeuler@email.com",
"createdAt": "2017-06-12T20:16:59Z",
"email": "leonhard.euler@domo.com",
"employeeNumber": 23432,
"groups": [
{
"id": 1324037627,
"name": "Default"
}
],
"id": 959463190,
"image": "https://instance.domo.com/avatar/thumb/domo/959463190",
"location": "American Fork",
"name": "Leonhard Euler",
"phone": "888-361-1078",
"role": "Admin",
"title": "Software Engineer",
"updatedAt": "2017-06-12T20:16:59Z"
}Create a user
Creates a new user in your Domo instance.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
User's full name
User's primary email used in profile
The role of the user created (available roles are: 'Admin', 'Privileged', 'Participant')
Send an email invite to created user
User's job title
User's secondary email in profile
Primary phone number of user
Free text that can be used to define office location (e.g. City, State, Country)
Time zone used to display to user the system times throughout Domo application
Locale used to display to user the system settings throughout Domo application
Employee number within company
Body
Response
Returns a user object when successful. The returned object will have user attributes based on the information that was provided when user was created. The two exceptions of attributes not returned are the user's timezone and locale.